Create Payment Agreement Async
POST
https://sand-api.monoova.com/au/payto/pam-v1/PaymentAgreementAsync
bodyobject
202Accepted
400Bad Request
404Not Found
500Internal Server Error
502Bad Gateway
curl --request POST \
--url https://sand-api.monoova.com/au/payto/pam-v1/PaymentAgreementAsync \
--header 'accept: application/json' \
--header 'content-type: application/json-patch+json' \
--data '{
"paymentAgreementUID": "",
"payerDetails": {
"payerType": "",
"payer": "",
"ultimatePayer": "",
"payerPartyReference": ""
},
"paymentTerms": {},
"paymentDetails": {
"automaticRenewal": "",
"startDate": ""
}
}'The purpose of this endpoint is to asynchronously create a payment agreement. The API returns as soon as the creation request has been captured and validated for background processing.